diff --git a/web/pgadmin/tools/schema_diff/static/js/components/SchemaDiffComponent.jsx b/web/pgadmin/tools/schema_diff/static/js/components/SchemaDiffComponent.jsx
new file mode 100644
index 00000000..fa374333
--- /dev/null
+++ b/web/pgadmin/tools/schema_diff/static/js/components/SchemaDiffComponent.jsx
@@ -0,0 +1,124 @@
+/////////////////////////////////////////////////////////////
+//
+// pgAdmin 4 - PostgreSQL Tools
+//
+// Copyright (C) 2013 - 2022, The pgAdmin Development Team
+// This software is released under the PostgreSQL Licence
+//
+//////////////////////////////////////////////////////////////
+
+
+import React, { createContext, useCallback, useEffect, useMemo, useRef, useState } from 'react';
+import PropTypes from 'prop-types';
+import {DividerBox} from 'rc-dock';
+
+import url_for from 'sources/url_for';
+
+import { Box, makeStyles } from '@material-ui/core';
+
+import { Results } from './Results';
+import { SchemaDiffCompare } from './SchemaDiffCompare';
+import EventBus from '../../../../../static/js/helpers/EventBus';
+import getApiInstance from '../../../../../static/js/api_instance';
+import { useModal } from '../../../../../static/js/helpers/ModalProvider';
+
+export const SchemaDiffEventsContext = createContext();
+export const SchemaDiffContext = createContext();
+
+const useStyles = makeStyles((theme) => ({
+  resetRoot: {
+    padding: '2px 4px',
+    display: 'flex',
+    alignItems: 'center',
+    gap: '4px',
+    backgroundColor: theme.otherVars.editorToolbarBg,
+    flexWrap: 'wrap',
+    ...theme.mixins.panelBorder.bottom,
+
+    '& #id-schema-diff': {
+      overflow: 'auto'
+    },
+
+    '& #id-results': {
+      overflow: 'auto'
+    }
+  },
+  resultPanle: {
+    backgroundColor: theme.palette.default.main,
+    zIndex: 5,
+    border: '1px solid ' + theme.otherVars.borderColor, 
+    display: 'flex',
+    flexDirection: 'column',
+    flexGrow: 1,
+    height: '50%', 
+    minHeight: 150,
+    overflow: 'hidden',   
+  },
+  comparePanel:{
+    overflow: 'hidden',
+    border: '1px solid ' + theme.otherVars.borderColor, 
+    display: 'flex',
+    flexDirection: 'column',
+    flexGrow: 1,
+    minHeight: 150,
+    height: '50%',
+  }
+}));
+
+export default function SchemaDiffComponent({params}) {
+  const classes = useStyles();
+  const eventBus = useRef(new EventBus());
+  const containerRef = React.useRef(null);
+  const api = getApiInstance();
+  const modal = useModal();
+  const [schemaDiffState, setSchemaDiffState] = useState({
+    preferences: null
+  });
+
+  const schemaDiffContextValue = useMemo(()=> ({
+    api: api,
+    modal: modal,
+    preferences_schema_diff: schemaDiffState.preferences
+  }), [schemaDiffState.preferences]);
+
+  registerUnload();
+  useEffect(() => {
+    reflectPreferences();
+    params.pgAdmin.Browser.onPreferencesChange('schema_diff', function () {
+      reflectPreferences();
+    });
+  }, []);
+
+  const reflectPreferences = useCallback(() => {
+    setSchemaDiffState({
+      preferences: params.pgAdmin.Browser.get_preferences_for_module('schema_diff')
+    });
+  }, []);
+
+  function registerUnload() {
+    window.addEventListener('unload', ()=>{
+      api.delete(url_for('schema_diff.close', {
+        trans_id: params.transId
+      }));
+    });
+  }
+    
+  return (
+    <SchemaDiffContext.Provider value={schemaDiffContextValue}>
+      <SchemaDiffEventsContext.Provider value={eventBus.current}>
+        <Box display="flex" flexDirection="column" flexGrow="1" tabIndex="0" style={{overflowY: 'auto', minHeight: 80}}>
+          <DividerBox mode='vertical' style={{flexGrow: 1}}>
+            <div className={classes.comparePanel} id="schema-diff-compare-container" ref={containerRef}><SchemaDiffCompare params={params} /></div>
+            <div className={classes.resultPanle} id="schema-diff-result-container">
+              <Results />
+            </div>
+          </DividerBox>
+        </Box>
+      </SchemaDiffEventsContext.Provider>
+    </SchemaDiffContext.Provider>
+  );
+}
+
+SchemaDiffComponent.propTypes = {
+  params: PropTypes.object
+};
\ No newline at end of file
diff --git a/web/pgadmin/tools/schema_diff/static/js/index.js b/web/pgadmin/tools/schema_diff/static/js/index.js
new file mode 100644
index 00000000..7ed84df3
--- /dev/null
+++ b/web/pgadmin/tools/schema_diff/static/js/index.js
@@ -0,0 +1,22 @@
+/////////////////////////////////////////////////////////////
+//
+// pgAdmin 4 - PostgreSQL Tools
+//
+// Copyright (C) 2013 - 2022, The pgAdmin Development Team
+// This software is released under the PostgreSQL Licence
+//
+//////////////////////////////////////////////////////////////
+
+import pgAdmin from 'sources/pgadmin';
+import pgBrowser from 'top/browser/static/js/browser';
+import SchemaDiff from './SchemaDiffModule';
+
+if (!pgAdmin.Tools) {
+  pgAdmin.Tools = {};
+}
+
+pgAdmin.Tools.SchemaDiff = SchemaDiff.getInstance(pgAdmin, pgBrowser);
+
+module.exports = {
+  SchemaDiff: SchemaDiff,
+};
diff --git a/web/pgadmin/tools/sqleditor/static/js/SQLEditorModule.js b/web/pgadmin/tools/sqleditor/static/js/SQLEditorModule.js
index e2aa7b8a..b92f63f2 100644
--- a/web/pgadmin/tools/sqleditor/static/js/SQLEditorModule.js
+++ b/web/pgadmin/tools/sqleditor/static/js/SQLEditorModule.js
@@ -15,7 +15,6 @@ import * as commonUtils from 'sources/utils';
 import $ from 'jquery';
 import url_for from 'sources/url_for';
 import _ from 'lodash';
-import alertify from 'pgadmin.alertifyjs';
 import pgWindow from 'sources/window';
 import pgAdmin from 'sources/pgadmin';
 import pgBrowser from 'pgadmin.browser';
@@ -27,6 +26,7 @@ import ReactDOM from 'react-dom';
 import QueryToolComponent from './components/QueryToolComponent';
 import ModalProvider from '../../../../static/js/helpers/ModalProvider';
 import Theme from '../../../../static/js/Theme';
+import { showRenamePanel } from '../../../../static/js/Dialogs';
 
 const wcDocker = window.wcDocker;
 
@@ -242,38 +242,19 @@ export default class SQLEditor {
   }
 
   onPanelRename(queryToolPanel, panelData, is_query_tool) {
-    var temp_title = panelData.$titleText[0].textContent;
-    var is_dirty_editor = queryToolPanel.is_dirty_editor ? queryToolPanel.is_dirty_editor : false;
-    var title = queryToolPanel.is_dirty_editor ? panelData.$titleText[0].textContent.replace(/.$/, '') : temp_title;
-    alertify.prompt('', title,
-      // We will execute this function when user clicks on the OK button
-      function(evt, value) {
-        // Remove the leading and trailing white spaces.
-        value = value.trim();
-        if(value) {
-          var is_file = false;
-          if(panelData.$titleText[0].innerHTML.includes('File - ')) {
-            is_file = true;
-          }
-          var selected_item = pgBrowser.tree.selected();
-          var panel_titles = '';
 
-          if(is_query_tool) {
-            panel_titles = panelTitleFunc.getPanelTitle(pgBrowser, selected_item, value);
-          } else {
-            panel_titles = showViewData.generateViewDataTitle(pgBrowser, selected_item, value);
-          }
-          // Set title to the selected tab.
-          if (is_dirty_editor) {
-            panel_titles = panel_titles + ' *';
-          }
-          panelTitleFunc.setQueryToolDockerTitle(queryToolPanel, is_query_tool, _.unescape(panel_titles), is_file);
-        }
-      },
-      // We will execute this function when user clicks on the Cancel
-      // button.  Do nothing just close it.
-      function(evt) { evt.cancel = false; }
-    ).set({'title': gettext('Rename Panel')});
+    let preferences = pgBrowser.get_preferences_for_module('browser');
+    let temp_title = panelData.$titleText[0].textContent;
+    let is_dirty_editor = queryToolPanel.is_dirty_editor ? queryToolPanel.is_dirty_editor : false;
+    let title = queryToolPanel.is_dirty_editor ? panelData.$titleText[0].textContent.replace(/.$/, '') : temp_title;
+
+    let qtdata = {
+      is_query_tool: is_query_tool,
+      is_file: panelData.$titleText[0].innerHTML.includes('File - '),
+      is_dirty_editor: is_dirty_editor
+    };
+
+    showRenamePanel(title, preferences, queryToolPanel, 'querytool', qtdata);
   }
 
 
diff --git a/web/regression/feature_tests/xss_checks_panels_and_query_tool_test.py b/web/regression/feature_tests/xss_checks_panels_and_query_tool_test.py
index eb299f89..d3c581f4 100644
--- a/web/regression/feature_tests/xss_checks_panels_and_query_tool_test.py
+++ b/web/regression/feature_tests/xss_checks_panels_and_query_tool_test.py
@@ -32,7 +32,7 @@ class CheckForXssFeatureTest(BaseFeatureTest):
         2) Properties Tab (BackFrom)
         3) Dependents Tab (BackGrid)
         4) SQL Tab (Code Mirror)
-        5) Query Tool (SlickGrid)
+        5) Query Tool (Result Grid)
     """
 
     scenarios = [
@@ -189,7 +189,7 @@ class CheckForXssFeatureTest(BaseFeatureTest):
 
     def _check_xss_in_query_tool(self):
         print(
-            "\n\tChecking the SlickGrid cell for XSS vulnerabilities",
+            "\n\tChecking the Result Grid cell for XSS vulnerabilities",
             file=sys.stderr, end=""
         )
         self.page.fill_codemirror_area_with(
@@ -205,7 +205,7 @@ class CheckForXssFeatureTest(BaseFeatureTest):
         self._check_escaped_characters(
             source_code,
             '&lt;img src="x" onerror="console.log(1)"&gt;',
-            "Query tool (SlickGrid)"
+            "Query tool (Result Grid)"
         )
 
     def _check_xss_in_query_tool_history(self):
@@ -255,7 +255,7 @@ class CheckForXssFeatureTest(BaseFeatureTest):
 
     def _check_xss_view_data(self):
         print(
-            "\n\tChecking the SlickGrid cell for XSS vulnerabilities",
+            "\n\tChecking the Result Grid cell for XSS vulnerabilities",
             file=sys.stderr, end=""
         )
 
@@ -268,7 +268,7 @@ class CheckForXssFeatureTest(BaseFeatureTest):
         self._check_escaped_characters(
             source_code,
             self.check_xss_chars_set2,
-            "View Data (SlickGrid)"
+            "View Data (Result Grid)"
         )
 
     def _check_xss_in_explain_module(self):
diff --git a/web/regression/javascript/schema_diff/schema_diff_spec.js b/web/regression/javascript/schema_diff/schema_diff_spec.js
new file mode 100644
index 00000000..6f822cc6
--- /dev/null
+++ b/web/regression/javascript/schema_diff/schema_diff_spec.js
@@ -0,0 +1,111 @@
+/////////////////////////////////////////////////////////////
+//
+// pgAdmin 4 - PostgreSQL Tools
+//
+// Copyright (C) 2013 - 2022, The pgAdmin Development Team
+// This software is released under the PostgreSQL Licence
+//
+//////////////////////////////////////////////////////////////
+
+import $ from 'jquery';
+window.jQuery = window.$ = $;
+
+import 'wcdocker';
+import '../helper/enzyme.helper';
+
+import React from 'react';
+import { createMount } from '@material-ui/core/test-utils';
+import jasmineEnzyme from 'jasmine-enzyme';
+import MockAdapter from 'axios-mock-adapter';
+import axios from 'axios/index';
+
+// import pgAdmin from 'sources/pgadmin';
+import pgWindow from 'sources/window';
+import url_for from 'sources/url_for';
+
+import { messages } from '../fake_messages';
+import { TreeFake } from '../tree/tree_fake';
+import Theme from '../../../pgadmin/static/js/Theme';
+import SchemaDiffComponent from '../../../pgadmin/tools/schema_diff/static/js/components/SchemaDiffComponent';
+import SchemaDiff from '../../../pgadmin/tools/schema_diff/static/js/SchemaDiffModule';
+
+
+describe('Schema Diff Component', () => {
+  let mount;
+  let mountDOM;
+  let tree;
+  let params;
+  let networkMock;
+  let schemaDiffInstance;
+
+  /* Use createMount so that material ui components gets the required context */
+  /* https://material-ui.com/guides/testing/#api */
+  beforeAll(() => {
+    mount = createMount();
+  });
+
+  beforeEach(() => {
+    jasmineEnzyme();
+    // Element for mount wcDocker panel
+    mountDOM = $('<div class="dockerContainer">');
+    $(document.body).append(mountDOM);
+
+    $(document.body).append($('<div id="debugger-main-container">'));
+
+    /* messages used by validators */
+    pgWindow.pgAdmin.Browser = pgWindow.pgAdmin.Browser || {};
+    pgWindow.pgAdmin.Browser.messages = pgWindow.pgAdmin.Browser.messages || messages;
+    pgWindow.pgAdmin.Browser.utils = pgWindow.pgAdmin.Browser.utils || {};
+
+    schemaDiffInstance = new SchemaDiff(pgWindow.pgAdmin, pgWindow.pgAdmin.Browser);
+
+    // nodeInfo = { parent: {} };
+
+    // eslint-disable-next-line
+    let docker = new wcDocker(
+      '.dockerContainer', {
+        allowContextMenu: false,
+        allowCollapse: false,
+        loadingClass: 'pg-sp-icon',
+      });
+
+    tree = new TreeFake();
+    pgWindow.pgAdmin.Browser.tree = tree;
+    pgWindow.pgAdmin.Browser.docker = docker;
+
+    params = {
+      transId: 1234,
+      schemaDiff: schemaDiffInstance,
+    };
+    networkMock = new MockAdapter(axios);
+  });
+
+  it('SchemaDiff Init', () => {
+    networkMock.onGet(url_for('schema_diff.servers')).reply(200,
+      {'success':1,
+        'errormsg':'',
+        'info':'',
+        'result':null,
+        'data':{
+          'Servers':[
+            {'value':1,'label':'PostgreSQL 12','image':'icon-pg','_id':1,'connected':true},
+            {'value':2,'label':'PostgreSQL 10','image':'icon-server-not-connected','_id':2,'connected':false},
+            {'value':3,'label':'PostgreSQL 11','image':'icon-server-not-connected','_id':3,'connected':false},
+            {'value':4,'label':'PostgreSQL 13','image':'icon-server-not-connected','_id':4,'connected':false},
+            {'value':5,'label':'PostgreSQL 9.6','image':'icon-server-not-connected','_id':5,'connected':false},
+            {'value':8,'label':'test1234yo','image':'icon-server-not-connected','_id':8,'connected':false}
+          ]
+        }
+      }
+    );
+    mount(
+      <Theme>
+        <SchemaDiffComponent
+          params={{ transId: params.transId, pgAdmin: pgWindow.pgAdmin }}
+        >
+        </SchemaDiffComponent>
+      </Theme>
+    );
+  });
+});
+
diff --git a/web/webpack.config.js b/web/webpack.config.js
index 266a7b2c..ac4fe32f 100644
--- a/web/webpack.config.js
+++ b/web/webpack.config.js
@@ -56,7 +56,7 @@ const providePlugin = new webpack.ProvidePlugin({
 // Reference: https://webpack.js.org/plugins/source-map-dev-tool-plugin/#components/sidebar/sidebar.jsx
 const sourceMapDevToolPlugin = new webpack.SourceMapDevToolPlugin({
   filename: '[name].js.map',
-  exclude: /(vendor|codemirror|slickgrid|pgadmin\.js|pgadmin.theme|pgadmin.static|style\.js|popper)/,
+  exclude: /(vendor|codemirror|pgadmin\.js|pgadmin.theme|pgadmin.static|style\.js|popper)/,
   columns: false,
 });
 
@@ -376,9 +376,8 @@ module.exports = [{
   entry: {
     'app.bundle': sourceDir + '/bundle/app.js',
     codemirror: sourceDir + '/bundle/codemirror.js',
-    slickgrid: sourceDir + '/bundle/slickgrid.js',
     sqleditor: './pgadmin/tools/sqleditor/static/js/index.js',
-    schema_diff: './pgadmin/tools/schema_diff/static/js/schema_diff_hook.js',
+    schema_diff: './pgadmin/tools/schema_diff/static/js/index.js',
     erd_tool: './pgadmin/tools/erd/static/js/index.js',
     psql_tool: './pgadmin/tools/psql/static/js/index.js',
     debugger: './pgadmin/tools/debugger/static/js/index.js',
diff --git a/web/webpack.shim.js b/web/webpack.shim.js
index a9d334d4..750751d3 100644
--- a/web/webpack.shim.js
+++ b/web/webpack.shim.js
@@ -72,16 +72,6 @@ var webpackShimConfig = {
       'deps': ['jquery'], 'exports': 'jQuery.fn.drag',
     },
     'jquery.ui': {'deps': ['jquery']},
-    'slick.pgadmin.formatters': {
-      'deps': ['slickgrid'],
-    },
-    'slick.pgadmin.editors': {
-      'deps': ['slickgrid'],
-    },
-    'slickgrid': {
-      'deps': ['jquery', 'jquery.ui', 'jquery.event.drag'],
-      'exports': 'Slick',
-    },
     'alertify': {
       'exports': 'alertify',
     },
@@ -132,8 +122,6 @@ var webpackShimConfig = {
     'wcdocker': path.join(__dirname, './node_modules/webcabin-docker/Build/wcDocker.min'),
     'alertify': path.join(__dirname, './node_modules/alertifyjs/build/alertify'),
     'moment': path.join(__dirname, './node_modules/moment/moment'),
-    'jquery.event.drag': path.join(__dirname, './node_modules/slickgrid/lib/jquery.event.drag-2.3.0'),
-    'jquery.ui': path.join(__dirname, './node_modules/slickgrid/lib/jquery-ui-1.11.3.min'),
     'jqueryui.position': path.join(__dirname, './node_modules/jquery-contextmenu/dist/jquery.ui.position'),
     'jquery.contextmenu': path.join(__dirname, './node_modules/jquery-contextmenu/dist/jquery.contextMenu'),
     'dropzone': path.join(__dirname, './node_modules/dropzone/dist/dropzone'),
@@ -278,8 +266,7 @@ var webpackShimConfig = {
     'pgadmin.tools.import_export_servers': path.join(__dirname, './pgadmin/tools/import_export_servers/static/js/'),
     'pgadmin.tools.maintenance': path.join(__dirname, './pgadmin/tools/maintenance/static/js/maintenance'),
     'pgadmin.tools.restore': path.join(__dirname, './pgadmin/tools/restore/static/js/restore'),
-    'pgadmin.tools.schema_diff': path.join(__dirname, './pgadmin/tools/schema_diff/static/js/schema_diff'),
-    'pgadmin.tools.schema_diff_ui': path.join(__dirname, './pgadmin/tools/schema_diff/static/js/schema_diff_ui'),
+    'pgadmin.tools.schema_diff': path.join(__dirname, './pgadmin/tools/schema_diff/static/js/'),
     'pgadmin.tools.search_objects': path.join(__dirname, './pgadmin/tools/search_objects/static/js'),
     'pgadmin.tools.erd': path.join(__dirname, './pgadmin/tools/erd/static/js'),
     'pgadmin.tools.psql_module': path.join(__dirname, './pgadmin/tools/psql/static/js/psql_module'),
@@ -287,9 +274,6 @@ var webpackShimConfig = {
     'pgadmin.tools.sqleditor': path.join(__dirname, './pgadmin/tools/sqleditor/static/js'),
     'pgadmin.tools.user_management': path.join(__dirname, './pgadmin/tools/user_management/static/js/user_management'),
     'pgadmin.user_management.current_user': '/user_management/current_user',
-    'slick.pgadmin.editors': path.join(__dirname, './pgadmin/tools/../static/js/slickgrid/editors'),
-    'slick.pgadmin.formatters': path.join(__dirname, './pgadmin/tools/../static/js/slickgrid/formatters'),
-    'slick.pgadmin.plugins': path.join(__dirname, './pgadmin/tools/../static/js/slickgrid/plugins'),
   },
   externals: [
     'pgadmin.user_management.current_user',
@@ -306,8 +290,7 @@ var webpackShimConfig = {
     'pgadmin.browser.error', 'pgadmin.browser.server.privilege',
     'pgadmin.browser.server.variable', 'pgadmin.browser.collection', 'pgadmin.browser.node.ui',
     'pgadmin.browser.datamodel', 'pgadmin.browser.menu', 'pgadmin.browser.panel', 'pgadmin',
-    'pgadmin.browser.frame', 'slick.pgadmin.editors', 'slick.pgadmin.formatters',
-    'pgadmin.backform', 'pgadmin.backgrid', 'pgadmin.browser',
+    'pgadmin.browser.frame', 'pgadmin.backform', 'pgadmin.backgrid', 'pgadmin.browser',
     'pgadmin.browser.node',
     'pgadmin.alertifyjs', 'pgadmin.settings', 'pgadmin.preferences', 'pgadmin.sqlfoldcode',
   ],
diff --git a/web/webpack.test.config.js b/web/webpack.test.config.js
index 9a2add64..73f5abe7 100644
--- a/web/webpack.test.config.js
+++ b/web/webpack.test.config.js
@@ -13,7 +13,6 @@ const webpack = require('webpack');
 const ImageMinimizerPlugin = require('image-minimizer-webpack-plugin');
 
 const sourcesDir = path.resolve(__dirname, 'pgadmin/static');
-const nodeModulesDir = path.resolve(__dirname, 'node_modules');
 const regressionDir = path.resolve(__dirname, 'regression');
 
 module.exports = {
@@ -99,62 +98,6 @@ module.exports = {
         filename: 'img/[name].[ext]',
       },
       exclude: /vendor/,
-    }, {
-      test: /.*slickgrid[\\\/]+slick\.(?!core)*/,
-      use:[
-        {
-          loader: 'imports-loader',
-          options: {
-            type: 'commonjs',
-            imports: [
-              'pure|jquery.ui',
-              'pure|jquery.event.drag',
-              'pure|slickgrid',
-            ],
-          },
-        },
-      ],
-    }, {
-      test: /.*slickgrid\.plugins[\\\/]+slick\.cellrangeselector/,
-      use:[
-        {
-          loader: 'imports-loader',
-          options: {
-            type: 'commonjs',
-            imports: [
-              'pure|jquery.ui',
-              'pure|jquery.event.drag',
-              'pure|slickgrid',
-            ],
-          },
-        }, {
-          loader: 'exports-loader',
-          options: {
-            type: 'commonjs',
-            exports: 'single|Slick.CellRangeSelector',
-          },
-        },
-      ],
-    }, {
-      test: /.*slickgrid[\\\/]+slick\.core.*/,
-      use:[
-        {
-          loader: 'imports-loader',
-          options: {
-            type: 'commonjs',
-            imports: [
-              'pure|jquery.ui',
-              'pure|jquery.event.drag',
-            ],
-          },
-        }, {
-          loader: 'exports-loader',
-          options: {
-            type: 'commonjs',
-            exports: 'single|Slick',
-          },
-        },
-      ],
     },
     {
       test: /\.js$|\.jsx$/,
@@ -163,7 +106,7 @@ module.exports = {
         options: { esModules: true },
       },
       enforce: 'post',
-      exclude: /node_modules|slickgrid|plugins|bundle|generated|regression|[Tt]est.js|[Ss]pecs.js|[Ss]pec.js|\.spec\.js$/,
+      exclude: /node_modules|plugins|bundle|generated|regression|[Tt]est.js|[Ss]pecs.js|[Ss]pec.js|\.spec\.js$/,
     },
     ],
   },
@@ -175,8 +118,6 @@ module.exports = {
       'jquery': path.join(__dirname, './node_modules/jquery/dist/jquery'),
       'wcdocker': path.join(__dirname, './node_modules/webcabin-docker/Build/wcDocker'),
       'alertify': path.join(__dirname, './node_modules/alertifyjs/build/alertify'),
-      'jquery.event.drag': path.join(__dirname, './node_modules/slickgrid/lib/jquery.event.drag-2.3.0'),
-      'jquery.ui': path.join(__dirname, './node_modules/slickgrid/lib/jquery-ui-1.11.3'),
       'color-picker': path.join(__dirname, './node_modules/@simonwep/pickr/dist/pickr.min'),
       'bignumber': path.join(__dirname, './node_modules/bignumber.js/bignumber'),
       'bootstrap.datetimepicker': path.join(__dirname, './node_modules/tempusdominus-bootstrap-4/build/js/tempusdominus-bootstrap-4.min'),
@@ -192,9 +133,6 @@ module.exports = {
       'pgadmin.browser.messages': regressionDir + '/javascript/fake_messages',
       'pgadmin.server.supported_servers': regressionDir + '/javascript/fake_supported_servers',
       'pgadmin.browser.endpoints': regressionDir + '/javascript/fake_endpoints',
-      'slickgrid': nodeModulesDir + '/slickgrid/',
-      'slickgrid.plugins': nodeModulesDir + '/slickgrid/plugins/',
-      'slickgrid.grid': nodeModulesDir + '/slickgrid/slick.grid',
       'moment': path.join(__dirname, './node_modules/moment/moment'),
       'jsoneditor.min': path.join(__dirname, './node_modules/jsoneditor/dist/jsoneditor.min'),
       'browser': path.resolve(__dirname, 'pgadmin/browser/static/js'),
